Package com.logicaldoc.core.communication

# Class PSTWorker

java.lang.Object
com.logicaldoc.core.communication.PSTWorker

public class PSTWorker extends Object
An utility class to work with .pst files. An Outlook Data File (.pst) contains your messages and other Outlook items and is saved on your computer.

Since:
  8.8.5
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`PSTWorker(File pstFile)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`long`
`countEmails()`
Cont emails
`String`
`printEmails()`
Prints the emails of the .pst file
`String`
`printListing()`
Prints the listing of the .pst file

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PSTWorker

public PSTWorker(File pstFile) throws IOException
Constructor

Parameters:
  `pstFile` - the .pst file to open
Throws:
  `IOException` - I/O error

## Method Details

### printEmails

public String printEmails()
Prints the emails of the .pst file

Returns:
  The listing

### printListing

public String printListing()
Prints the listing of the .pst file

Returns:
  The listing

### countEmails

public long countEmails()
Cont emails

Returns:
  the number of contained emails